plugins {
    alias(libs.plugins.kotlin.kover)
    alias(libs.plugins.kotlin.multiplatform)
    alias(libs.plugins.android.library)
}

kotlin {
    jvmToolchain(libs.versions.jdk.get().toInt())

    jvm()
    androidLibrary {
        namespace = "ch.dissem.yaep.domain"
        compileSdk = libs.versions.android.compileSdk.get().toInt()
        minSdk = libs.versions.android.minSdk.get().toInt()
    }

    sourceSets {
        commonMain.dependencies {
            implementation(libs.bundles.logging)
        }

        commonTest.dependencies {
            implementation(libs.kotlin.test)
            implementation(libs.atrium)
        }
    }
}
